Name:		gluster-deploy
Version:	0.6
Release:	0.1%{?dist}
Summary:	Provide admins with a simple to use UI, to bootstrap a glusterfs or Red Hat Storage installation

Group:		Applications/System
License:	GPLv2
URL:		https://forge.gluster.org/gluster-deploy

# download from https://forge.gluster.org/gstatus/gluster-deploy/archive-tarball/v%{version}
# and rename to gluster-deploy-%{version}.tar.gz
#
# or, probably better,
#
# $ git archive --remote=git://forge.gluster.org/gluster-deploy/gluster-deploy.git \
#               --prefix=gluster-deploy-%{version}/ HEAD \
#   | gzip > gluster-deploy-%{version}.tar.gz
#
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools
Requires:	/usr/sbin/gluster
Requires:	glusterfs >= 3.4

%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%description
The project is intended to provide admins with a simple to use UI, to bootstrap
a glusterfs or Red Hat Storage installation. The goal is to remove the
laborious tasks, and ensure that configuration steps are the same across all
nodes in a cluster.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot} --install-scripts %{_sbindir}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README.md
%{_sbindir}/gluster-deploy
%{_datarootdir}/gluster-deploy/
%{python2_sitelib}/gluster_deploy/
%{python2_sitelib}/gluster_deploy-%{version}-*.egg-info/


%changelog
* Sat Mar 22 2014 Niels de Vos <ndevos@redhat.com> - 0.6-0.1
- Initial packaging
